# List Users

`GET /auth/users`

Returns a list of users

{% hint style="info" %}

* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

| Name              | Conditions      |
| ----------------- | --------------- |
| `Auth:Users:Read` | Always Required |

## Request Params

The following query parameters can be appended to the url

<table data-full-width="true"><thead><tr><th width="169.33333333333331">Property</th><th width="193">Type</th><th>Description</th></tr></thead><tbody><tr><td>limit</td><td>Number - Optional</td><td>Maximum number of items included in response</td></tr><tr><td>paginationToken</td><td>String - Optional</td><td>Page cursor used (taken from the previous response <code>nextPageToken</code>).</td></tr></tbody></table>

## Responses

{% hint style="info" %}

* See [Common Errors](broken://pages/Zbx6VWYoYmttC3Bod3yK#common-errors) for common errors.
* See [User Management Errors](broken://pages/Zbx6VWYoYmttC3Bod3yK#user-management-errors) for user management specific errors.
  {% endhint %}

{% tabs %}
{% tab title="200" %}
**Success** - A list of users in the caller's org

```json
{
    "items": [
      {
        "userId": "us-xxxx-xxxx-xxxxxxxx",
        "kind": "CustomerEmployee",
        "username": "elon@tesla.com",
        "name": "Elon Musk",
        "orgId": "or-xxxx-xxxx-xxxxxxxx",
        "isActive": true,
        "isRegistered": true,
        "permissionAssignments": [
          {
            "permissionId": "pm-paris-lithi-17bf4kf01h8ajph4",
            "permissionName": "DfnsFullAdminAccess",
            "assignmentId": "",
            "operations": [
              "Wallets:Create",
              "Wallets:Read",
              "Wallets:Update"
            ]
          }
        ]
      },
      {
       "userId": "us-xxxx-xxxx-xxxxxxxx",
        "kind": "CustomerEmployee",
        "username": "elon@tesla.com",
        "name": "Elon Musk",
        "orgId": "or-xxxx-xxxx-xxxxxxxx",
        "isActive": true,
        "isRegistered": true,
        "permissionAssignments": [],
      }
    ],
    "nextPageToken": "eJxNy8...." // optional
  }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/user-management/listusers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
